Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 797427 - www-client/elinks-0.13.5-r100: Missing javascript USE flag due to spidermonkey deps
Summary: www-client/elinks-0.13.5-r100: Missing javascript USE flag due to spidermonke...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Felix Janda
URL: https://gitweb.gentoo.org/repo/gentoo...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-22 03:30 UTC by period
Modified: 2021-06-24 15:48 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description period 2021-06-22 03:30:00 UTC
I personally used elinks with javascript support for browsing banking websites and can no longer access google docs.  I know you said you would re-add support if something was critical and I'm almost certain I'm one of the few members that still does this as I do not trust more modern browsers.  Is there any possible way from the kindness of your hearts you could continue to maintain this?

Reproducible: Always

Steps to Reproduce:
1.equery u elinks
Actual Results:  
# equery u elinks
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for www-client/elinks-0.13.5-r100:
 U I
 - - X                        : Add support for X11
 - - bittorrent               : Enable support for the BitTorrent protocol 
 - - brotli                   : Enable support for brotli compression 
 + + bzip2                    : Use the bzlib compression library
 - - debug                    : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful
                                backtraces see https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
 - - finger                   : Enable support for the finger protocol 
 - - ftp                      : Add FTP (File Transfer Protocol) support
 - - gnutls                   : Prefer net-libs/gnutls as SSL/TLS provider (ineffective with USE=-ssl)
 - - gopher                   : Enable support for the gopher protocol 
 - - gpm                      : Add support for sys-libs/gpm (Console-based mouse driver)
 - - idn                      : Enable support for Internationalized Domain Names
 + + ipv6                     : Add support for IP version 6
 - - lua                      : Enable Lua scripting support
 + + lua_single_target_lua5-1 : Build for Lua 5.1 only
 - - lua_single_target_lua5-2 : Build for Lua 5.2 only
 + - mouse                    : Make elinks to grab all mouse events 
 + + nls                      : Add Native Language Support (using gettext - GNU locale utilities)
 - - nntp                     : Add support for newsgroups (Network News Transfer Protocol)
 - - perl                     : Add optional support/bindings for the Perl language
 - - ruby                     : Add support/bindings for the Ruby language
 - - samba                    : Add support for SAMBA (Windows File and Printer sharing)
 + + ssl                      : Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)
 - - tre                      : Enable support for regex searches via dev-libs/tre
 + + unicode                  : Add support for Unicode
 - - xml                      : Enable support for bookmarks via dev-libs/expat
 + + zlib                     : Add support for zlib (de)compression
 - - zstd                     : Enable support for ZSTD compression


Expected Results:  
# equery u elinks
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for www-client/elinks-0.13.5-r100:
 U I
 - - X                        : Add support for X11
 - - bittorrent               : Enable support for the BitTorrent protocol 
 - - brotli                   : Enable support for brotli compression 
 + + bzip2                    : Use the bzlib compression library
 - - debug                    : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful
                                backtraces see https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
 - - finger                   : Enable support for the finger protocol 
 - - ftp                      : Add FTP (File Transfer Protocol) support
 - - gnutls                   : Prefer net-libs/gnutls as SSL/TLS provider (ineffective with USE=-ssl)
 - - gopher                   : Enable support for the gopher protocol 
 - - gpm                      : Add support for sys-libs/gpm (Console-based mouse driver)
 - - idn                      : Enable support for Internationalized Domain Names
 + + ipv6                     : Add support for IP version 6
 - + javascript               : Add support for javascript via dev-lang/spidermonkey
 - - lua                      : Enable Lua scripting support
 + + lua_single_target_lua5-1 : Build for Lua 5.1 only
 - - lua_single_target_lua5-2 : Build for Lua 5.2 only
 + - mouse                    : Make elinks to grab all mouse events 
 + + nls                      : Add Native Language Support (using gettext - GNU locale utilities)
 - - nntp                     : Add support for newsgroups (Network News Transfer Protocol)
 - - perl                     : Add optional support/bindings for the Perl language
 - - ruby                     : Add support/bindings for the Ruby language
 - - samba                    : Add support for SAMBA (Windows File and Printer sharing)
 + + ssl                      : Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)
 - - tre                      : Enable support for regex searches via dev-libs/tre
 + + unicode                  : Add support for Unicode
 - - xml                      : Enable support for bookmarks via dev-libs/expat
 + + zlib                     : Add support for zlib (de)compression
 - - zstd                     : Enable support for ZSTD compression
Comment 1 period 2021-06-24 15:48:26 UTC
This commit message said to post a bug for this if we considered it critical--- https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7c4df5c9424a2e359beb10531adcf37f21a96ec